package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiResult;
import com.seewo.open.sdk.HttpResponse;

/**
 * seewo-open API: 批量新增班级
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class ClassServiceBatchSaveClassResult extends OpenApiResult {

    public ClassServiceBatchSaveClassResult(HttpResponse response) {
        super(response);
    }


    /**
     * 响应体，MimeType为 application/json
     */

    private JSONResponseBody responseBody;


    public JSONResponseBody getResponseBody() {
        return this.responseBody;
    }

    public void setResponseBody(JSONResponseBody responseBody) {
        this.responseBody = responseBody;
    }

    public static class JSONResponseBody {
        /**
         *
         */
        private String code;
        /**
         *
         */
        private String message;
        /**
         *
         */
        private List<ClassInfoDto> data;

        public String getCode() {
            return this.code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getMessage() {
            return this.message;
        }

        public void setMessage(String message) {
            this.message = message;
        }

        public List<ClassInfoDto> getData() {
            return this.data;
        }

        public void setData(List<ClassInfoDto> data) {
            this.data = data;
        }

    }

    public static class ClassInfoDto {
        /**
         *  班级ID
         */
        private String uid;
        /**
         *  组织id
         */
        private String schoolUid;
        /**
         *  班级类型，1 普通班， 2 走班;
         */
        private Integer type;
        /**
         *  学段信息
         */
        private String stageCode;
        /**
         *  学段UID
         */
        private String stageUid;
        /**
         *  学段名
         */
        private String stageName;
        /**
         *  年级，如7年级
         */
        private Integer grade;
        /**
         *  年级UID
         */
        private String gradeUid;
        /**
         *  年级的届数，例如2017届
         */
        private Integer gradeYear;
        /**
         *  班级
         */
        private Integer clazz;
        /**
         *  班级别名
         */
        private String nickName;
        /**
         *  是否为毕业班
         */
        private Boolean isGraduate;
        /**
         *  部门UID 高教版
         */
        private String departmentId;
        /**
         *  专业ID 高教版
         */
        private String majorId;
        /**
         *  年级ID 高教版
         */
        private String gradeId;

        public String getUid() {
            return this.uid;
        }

        public void setUid(String uid) {
            this.uid = uid;
        }

        public String getSchoolUid() {
            return this.schoolUid;
        }

        public void setSchoolUid(String schoolUid) {
            this.schoolUid = schoolUid;
        }

        public Integer getType() {
            return this.type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public String getStageCode() {
            return this.stageCode;
        }

        public void setStageCode(String stageCode) {
            this.stageCode = stageCode;
        }

        public String getStageUid() {
            return this.stageUid;
        }

        public void setStageUid(String stageUid) {
            this.stageUid = stageUid;
        }

        public String getStageName() {
            return this.stageName;
        }

        public void setStageName(String stageName) {
            this.stageName = stageName;
        }

        public Integer getGrade() {
            return this.grade;
        }

        public void setGrade(Integer grade) {
            this.grade = grade;
        }

        public String getGradeUid() {
            return this.gradeUid;
        }

        public void setGradeUid(String gradeUid) {
            this.gradeUid = gradeUid;
        }

        public Integer getGradeYear() {
            return this.gradeYear;
        }

        public void setGradeYear(Integer gradeYear) {
            this.gradeYear = gradeYear;
        }

        public Integer getClazz() {
            return this.clazz;
        }

        public void setClazz(Integer clazz) {
            this.clazz = clazz;
        }

        public String getNickName() {
            return this.nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public Boolean getIsGraduate() {
            return this.isGraduate;
        }

        public void setIsGraduate(Boolean isGraduate) {
            this.isGraduate = isGraduate;
        }

        public String getDepartmentId() {
            return this.departmentId;
        }

        public void setDepartmentId(String departmentId) {
            this.departmentId = departmentId;
        }

        public String getMajorId() {
            return this.majorId;
        }

        public void setMajorId(String majorId) {
            this.majorId = majorId;
        }

        public String getGradeId() {
            return this.gradeId;
        }

        public void setGradeId(String gradeId) {
            this.gradeId = gradeId;
        }

    }


}

